Name: SDL_gfx
Version: 2.0.13
Release: alt1
%define lib_name lib%name

Summary: SDL graphics drawing primitives and other support functions
License: LGPL
Group: System/Libraries
Packager: Sergey V Turchin <zerg at altlinux dot org>

URL: http://www.ferzkopp.net/~aschiffler/Software/SDL_gfx-2.0/
Source: %name-%version.tar.bz2

# filledpie* renamed to filledPie*; provide compatibility macros
Patch0: %name-2.0.13-alt-filledPie-compat-names.patch

# Automatically added by buildreq on Fri Feb 04 2005
BuildRequires: esound gcc-c++ glibc-devel-static libSDL-devel xorg-x11-devel-static xorg-x11-libs

%description
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces.

The current components of the SDL_gfx library are:

   * Graphic Primitives (SDL_gfxPrimitves.h)
   * Rotozoomer (SDL_rotozoom.h)
   * Framerate control (SDL_framerate.h)
   * MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. Its
is written in plain C and can be used in C++ code.

%package -n %lib_name
Summary: SDL graphics drawing primitives and other support functions
Group: System/Libraries
#
%description -n %lib_name
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces.

The current components of the SDL_gfx library are:

   * Graphic Primitives (SDL_gfxPrimitves.h)
   * Rotozoomer (SDL_rotozoom.h)
   * Framerate control (SDL_framerate.h)
   * MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. Its
is written in plain C and can be used in C++ code.

%package -n %lib_name-devel
Summary: Libraries and includes to develop SDL_gfx programs
Group: Development/C
Requires: %lib_name = %version-%release
#
%description -n %lib_name-devel
The SDL_gfx library evolved out of the SDL_gfxPrimitives code which
provided basic drawing routines such as lines, circles or polygons and
SDL_rotozoom which implemented a interpolating rotozoomer for SDL
surfaces.

The current components of the SDL_gfx library are:

   * Graphic Primitives (SDL_gfxPrimitves.h)
   * Rotozoomer (SDL_rotozoom.h)
   * Framerate control (SDL_framerate.h)
   * MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. Its
is written in plain C and can be used in C++ code.

%package -n %{lib_name}-devel-static
Summary: Static libraries to develop SDL_gfx programs
Group: Development/C
Requires: %lib_name-devel = %version-%release
#
%description -n %{lib_name}-devel-static
Static libraries to develop SDL_gfx programs

%package -n %lib_name-test
Summary: Test binary for %name
Group: Sound
Requires: %lib_name = %version-%release

%description -n %lib_name-test
This package contains binary to test the associated library.

%prep
%define buildsubdir %name-%version
%setup -q -n %buildsubdir
%patch0 -p1


%build
%configure
%make_build
pushd Test
    export CFLAGS="-I%_builddir/%buildsubdir -L%_builddir/%buildsubdir -L%_builddir/%buildsubdir/.libs"
    %configure
    %make_build
popd


%install
%makeinstall
pushd Test
%makeinstall
popd

/sbin/ldconfig -nv %buildroot/%_libdir

%post -n %lib_name
%post_ldconfig
%postun -n %lib_name
%postun_ldconfig

%files -n %lib_name
%_libdir/*.so.*

%files -n %lib_name-devel
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README
%doc Docs/
%_libdir/*.so
%_includedir/SDL/*.h

%files -n %{lib_name}-devel-static
%_libdir/*.a

%files -n %lib_name-test
%_bindir/*

%changelog
* Fri Feb 04 2005 Alexey Tourbin <at@altlinux.ru> 2.0.13-alt1
- NMU: updated from 2.0.7 to 2.0.13 (#5575), soname changed
- added compatibility macros for filledpie* renamed functions

* Wed Jun 11 2003 Sergey V Turchin <zerg at altlinux dot org> 2.0.7-alt2
- fix provides

* Tue Jun 10 2003 Sergey V Turchin <zerg at altlinux dot org> 2.0.7-alt1
- new version

* Thu Jan 23 2003 Rider <rider@altlinux.ru> 2.0.3-alt3
- fix rebuild in new invironment (automake)

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0.3-alt2
- rebuild with gcc3.2

* Tue Aug 13 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0.3-alt1
- initial spec
